<template><!-- .parsing-filter>.-item>input:checkbox.-trigger+label.-name -->
<div class="parsing-filter">
  <div v-for="(item,index) in $store.state.filterSignificance"
      :key="index"
      class="parsing-filter__item">
    <input type="checkbox"
    :name="item.name" :id="item.name"
    @change="FILTER_SIGNIFICANSE(item.name)"
    :checked="item.trg"
    class="parsing-filter__trigger">
    <label :for="item.name" class="parsing-filter__name">{{ item.name }}</label>
  </div>
</div>

<div class="parsing-filter parsing-filter_input">
  <div v-for="(item,index) in $store.state.filterInputItem"
      :key="index"
       class="parsing-filter__item parsing-filter__item_input">
    <input type="text"
    :name="item.name"
    :id="item.name"
    :value="filterInputName"
    @input="FILTER_INPUT(item.name, $event)"
    :placeholder="item.value"
     class="parsing-filter__trigger">
    <label :for="item.name" class="parsing-filter__name">{{ item.name }}</label>
  </div>
</div>

</template>

<script>
import {
  defineComponent,
  computed
} from 'vue'
import {
  // mapActions,
  useStore
} from 'vuex'

export default defineComponent({
  setup() {
    const store = useStore()

    const FILTER_SIGNIFICANSE = function (name) {
      store.dispatch('FILTER_SIGNIFICANSE',name)
    }

    const FILTER_INPUT = function (name, e) {
      store.dispatch('FILTER_INPUT', {name, value: e.target.value})
    }

    return{
      FILTER_SIGNIFICANSE,
      FILTER_INPUT,
      filterInputName: computed(() => store.state.filterInputName),
    }
  },
})
</script>